Skip to main content
POST
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Scopes

create:organization_discovery_domains

Create Organization Discovery Domains

Path Parameters

id
string
required

ID of the organization.

Body

domain
string
required

The domain name to associate with the organization e.g. acme.com.

Required string length: 3 - 255
status
enum<string>

The verification status of the discovery domain.

Available options:
pending,
verified
use_for_organization_discovery
boolean

Indicates whether this domain should be used for organization discovery.

Response

Organization discovery domain successfully created.

id
string<organization-discovery-domain-id>
required

Organization discovery domain identifier.

domain
string
required

The domain name to associate with the organization e.g. acme.com.

Required string length: 3 - 255
Pattern: ^(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9])\.)*([A-Za-z0-9]|[A-Za-z0-9][A-Za-z0-9-]*[A-Za-z0-9])$
status
enum<string>
required

The verification status of the discovery domain.

Available options:
pending,
verified
verification_txt
string
required

A unique token generated for the discovery domain. This must be placed in a DNS TXT record at the location specified by the verification_host field to prove domain ownership.

verification_host
string
required

The full domain where the TXT record should be added.

use_for_organization_discovery
boolean

Indicates whether this domain should be used for organization discovery.